﻿using System;
using System.Runtime.InteropServices;
using System.ComponentModel;
using Word = Microsoft.Office.Interop.Word;
using Outlook = Microsoft.Office.Interop.Outlook;

namespace OfficControlIds2007
{
    /// <summary>
    ///   Add-in Express Add-in Module
    /// </summary>
    [GuidAttribute("3103C172-BD02-4DF9-80A6-C496BFCB1ABA"), ProgId("OfficControlIds2007.AddinModule")]
    public class AddinModule : AddinExpress.MSO.ADXAddinModule
    {
        public AddinModule()
        {
            InitializeComponent();
            // Please add any initialization code to the AddinInitialize event handler
        }

        private AddinExpress.MSO.ADXRibbonTab adxRibbonTab1;
        private AddinExpress.MSO.ADXRibbonGroup adxRibbonGroup1;
        private AddinExpress.MSO.ADXRibbonSplitButton adxRibbonSplitButton1;
        private AddinExpress.MSO.ADXRibbonMenu adxRibbonMenu1;
        private AddinExpress.MSO.ADXRibbonSplitButton adxRibbonSplitButton2;
        private AddinExpress.MSO.ADXRibbonMenu adxRibbonMenu2;
        private AddinExpress.MSO.ADXRibbonButton adxRibbonButton1;
        private AddinExpress.MSO.ADXRibbonButton adxRibbonButton2;
        private AddinExpress.MSO.ADXRibbonButton adxRibbonButton3;
        private AddinExpress.MSO.ADXRibbonButton adxRibbonButton4;
        private System.Windows.Forms.ImageList imlIcons;
        private AddinExpress.MSO.ADXOlExplorerCommandBar myCustomBar;
        private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton1;
        private System.Windows.Forms.ImageList imlIcons1616;
        private AddinExpress.MSO.ADXBackstageView adxBackstageView1;
        private AddinExpress.MSO.ADXBackstageTab adxBackstageTab1;
        private AddinExpress.MSO.ADXBackstageTaskGroup adxBackstageTaskGroup1;
        private AddinExpress.MSO.ADXBackstageTaskGroupCategory adxBackstageTaskGroupCategory1;
        private AddinExpress.MSO.ADXBackstageTaskGroupTask adxBackstageTaskGroupTask1;
        private AddinExpress.MSO.ADXBackstageGroup adxBackstageGroup1;
        private AddinExpress.MSO.ADXBackstageCheckBox adxBackstageCheckBox1;
        private AddinExpress.MSO.ADXBackstageTaskGroupCategory adxBackstageTaskGroupCategory2;
        private AddinExpress.MSO.ADXBackstageTaskGroupTask adxBackstageTaskGroupTask2;
        private AddinExpress.MSO.ADXBackstageCheckBox adxBackstageCheckBox2;
        private AddinExpress.MSO.ADXBackstageGroupButton adxBackstageGroupButton1;
        private AddinExpress.MSO.ADXBackstageTab adxBackstageTab2;
        private AddinExpress.MSO.ADXBackstageTaskGroup adxBackstageTaskGroup2;
        private AddinExpress.MSO.ADXBackstageTaskGroupCategory adxBackstageTaskGroupCategory3;
        private AddinExpress.MSO.ADXBackstageTaskGroupTask adxBackstageTaskGroupTask3;
        private System.Windows.Forms.ImageList imlIcons3232;
 
        #region Component Designer generated code
        /// <summary>
        /// Required by designer
        /// </summary>
        private System.ComponentModel.IContainer components;
 
        /// <summary>
        /// Required by designer support - do not modify
        /// the following method
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AddinModule));
            this.adxRibbonTab1 = new AddinExpress.MSO.ADXRibbonTab(this.components);
            this.adxRibbonGroup1 = new AddinExpress.MSO.ADXRibbonGroup(this.components);
            this.adxRibbonSplitButton1 = new AddinExpress.MSO.ADXRibbonSplitButton(this.components);
            this.adxRibbonMenu1 = new AddinExpress.MSO.ADXRibbonMenu(this.components);
            this.adxRibbonButton1 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.adxRibbonButton2 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.imlIcons = new System.Windows.Forms.ImageList(this.components);
            this.adxRibbonSplitButton2 = new AddinExpress.MSO.ADXRibbonSplitButton(this.components);
            this.adxRibbonMenu2 = new AddinExpress.MSO.ADXRibbonMenu(this.components);
            this.adxRibbonButton3 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.adxRibbonButton4 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.myCustomBar = new AddinExpress.MSO.ADXOlExplorerCommandBar(this.components);
            this.adxCommandBarButton1 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.imlIcons1616 = new System.Windows.Forms.ImageList(this.components);
            this.adxBackstageView1 = new AddinExpress.MSO.ADXBackstageView(this.components);
            this.adxBackstageTab1 = new AddinExpress.MSO.ADXBackstageTab(this.components);
            this.adxBackstageTaskGroup1 = new AddinExpress.MSO.ADXBackstageTaskGroup(this.components);
            this.adxBackstageTaskGroupCategory1 = new AddinExpress.MSO.ADXBackstageTaskGroupCategory(this.components);
            this.adxBackstageTaskGroupTask1 = new AddinExpress.MSO.ADXBackstageTaskGroupTask(this.components);
            this.adxBackstageTaskGroupCategory2 = new AddinExpress.MSO.ADXBackstageTaskGroupCategory(this.components);
            this.adxBackstageTaskGroupTask2 = new AddinExpress.MSO.ADXBackstageTaskGroupTask(this.components);
            this.adxBackstageGroup1 = new AddinExpress.MSO.ADXBackstageGroup(this.components);
            this.adxBackstageGroupButton1 = new AddinExpress.MSO.ADXBackstageGroupButton(this.components);
            this.adxBackstageCheckBox1 = new AddinExpress.MSO.ADXBackstageCheckBox(this.components);
            this.adxBackstageCheckBox2 = new AddinExpress.MSO.ADXBackstageCheckBox(this.components);
            this.adxBackstageTab2 = new AddinExpress.MSO.ADXBackstageTab(this.components);
            this.adxBackstageTaskGroup2 = new AddinExpress.MSO.ADXBackstageTaskGroup(this.components);
            this.adxBackstageTaskGroupCategory3 = new AddinExpress.MSO.ADXBackstageTaskGroupCategory(this.components);
            this.adxBackstageTaskGroupTask3 = new AddinExpress.MSO.ADXBackstageTaskGroupTask(this.components);
            this.imlIcons3232 = new System.Windows.Forms.ImageList(this.components);
            // 
            // adxRibbonTab1
            // 
            this.adxRibbonTab1.Caption = "adxRibbonTab1";
            this.adxRibbonTab1.Controls.Add(this.adxRibbonGroup1);
            this.adxRibbonTab1.Id = "adxRibbonTab_96970c7bbec74369baa3879b0b85f280";
            this.adxRibbonTab1.IdMso = "TabInsert";
            this.adxRibbonTab1.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // adxRibbonGroup1
            // 
            this.adxRibbonGroup1.Caption = "Secret Research";
            this.adxRibbonGroup1.Controls.Add(this.adxRibbonSplitButton1);
            this.adxRibbonGroup1.Controls.Add(this.adxRibbonSplitButton2);
            this.adxRibbonGroup1.Id = "adxRibbonGroup_ea2bddffe34c412c8c087fe5bead4ac3";
            this.adxRibbonGroup1.ImageList = this.imlIcons;
            this.adxRibbonGroup1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonGroup1.InsertBeforeIdMso = "GroupInsertSymbols";
            this.adxRibbonGroup1.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // adxRibbonSplitButton1
            // 
            this.adxRibbonSplitButton1.Caption = "Secret Recipes";
            this.adxRibbonSplitButton1.Controls.Add(this.adxRibbonMenu1);
            this.adxRibbonSplitButton1.Id = "adxRibbonSplitButton_de95a7f8a54e44649fc1100c5d395763";
            this.adxRibbonSplitButton1.Image = 0;
            this.adxRibbonSplitButton1.ImageList = this.imlIcons;
            this.adxRibbonSplitButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonSplitButton1.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            this.adxRibbonSplitButton1.Size = AddinExpress.MSO.ADXRibbonXControlSize.Large;
            // 
            // adxRibbonMenu1
            // 
            this.adxRibbonMenu1.Caption = "adxRibbonMenu1";
            this.adxRibbonMenu1.Controls.Add(this.adxRibbonButton1);
            this.adxRibbonMenu1.Controls.Add(this.adxRibbonButton2);
            this.adxRibbonMenu1.Id = "adxRibbonMenu_fabc9beee29e4f8a9b5bef306582d16d";
            this.adxRibbonMenu1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonMenu1.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // adxRibbonButton1
            // 
            this.adxRibbonButton1.Caption = "That Colonel Guy\'sFried Chicken";
            this.adxRibbonButton1.Id = "adxRibbonButton_c7f67ad5828d4093a539f8071bfa2b88";
            this.adxRibbonButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonButton1.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // adxRibbonButton2
            // 
            this.adxRibbonButton2.Caption = "A Well Known Soft Drink";
            this.adxRibbonButton2.Id = "adxRibbonButton_b27f53123b794b21908e1fc414b1ce70";
            this.adxRibbonButton2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonButton2.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // imlIcons
            // 
            this.imlIcons.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imlIcons.ImageStream")));
            this.imlIcons.TransparentColor = System.Drawing.Color.Transparent;
            this.imlIcons.Images.SetKeyName(0, "cab.ico");
            this.imlIcons.Images.SetKeyName(1, "GenericPicDoc.ico");
            // 
            // adxRibbonSplitButton2
            // 
            this.adxRibbonSplitButton2.Caption = "Secret Formulas";
            this.adxRibbonSplitButton2.Controls.Add(this.adxRibbonMenu2);
            this.adxRibbonSplitButton2.Id = "adxRibbonSplitButton_4b2e08cb80494022867a184c731c1e5d";
            this.adxRibbonSplitButton2.Image = 1;
            this.adxRibbonSplitButton2.ImageList = this.imlIcons;
            this.adxRibbonSplitButton2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonSplitButton2.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            this.adxRibbonSplitButton2.Size = AddinExpress.MSO.ADXRibbonXControlSize.Large;
            // 
            // adxRibbonMenu2
            // 
            this.adxRibbonMenu2.Caption = "adxRibbonMenu2";
            this.adxRibbonMenu2.Controls.Add(this.adxRibbonButton3);
            this.adxRibbonMenu2.Controls.Add(this.adxRibbonButton4);
            this.adxRibbonMenu2.Id = "adxRibbonMenu_a5bef20284df44c588302efdfbf5f787";
            this.adxRibbonMenu2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonMenu2.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // adxRibbonButton3
            // 
            this.adxRibbonButton3.Caption = "Cure For The Common Cold";
            this.adxRibbonButton3.Id = "adxRibbonButton_dd6dbaa9bbda4e6dbc36f8947d7e8c12";
            this.adxRibbonButton3.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonButton3.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // adxRibbonButton4
            // 
            this.adxRibbonButton4.Caption = "Real Clean Energy";
            this.adxRibbonButton4.Id = "adxRibbonButton_1b8b6f6cac6542fd9f259ca2a4ec0c39";
            this.adxRibbonButton4.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonButton4.Ribbons = ((AddinExpress.MSO.ADXRibbons)((((AddinExpress.MSO.ADXRibbons.msrOutlookMailRead | AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose)
                        | AddinExpress.MSO.ADXRibbons.msrExcelWorkbook)
                        | AddinExpress.MSO.ADXRibbons.msrWordDocument)));
            // 
            // myCustomBar
            // 
            this.myCustomBar.CommandBarName = "Standard";
            this.myCustomBar.CommandBarTag = "c57bb671-d752-4f9c-8a6d-31062243da9a";
            this.myCustomBar.Controls.Add(this.adxCommandBarButton1);
            this.myCustomBar.Temporary = true;
            this.myCustomBar.UpdateCounter = 13;
            // 
            // adxCommandBarButton1
            // 
            this.adxCommandBarButton1.AfterID = 1874;
            this.adxCommandBarButton1.Caption = "Launch Inbox Cleaner";
            this.adxCommandBarButton1.ControlTag = "8ab722ab-5ca0-4f90-b05f-8d162fc4bba7";
            this.adxCommandBarButton1.Image = 0;
            this.adxCommandBarButton1.ImageList = this.imlIcons1616;
            this.adxCommandBarButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxCommandBarButton1.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
            this.adxCommandBarButton1.Temporary = true;
            this.adxCommandBarButton1.UpdateCounter = 5;
            // 
            // imlIcons1616
            // 
            this.imlIcons1616.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imlIcons1616.ImageStream")));
            this.imlIcons1616.TransparentColor = System.Drawing.Color.Transparent;
            this.imlIcons1616.Images.SetKeyName(0, "sharedocuments.ico");
            // 
            // adxBackstageView1
            // 
            this.adxBackstageView1.Controls.Add(this.adxBackstageTab1);
            this.adxBackstageView1.Controls.Add(this.adxBackstageTab2);
            this.adxBackstageView1.Id = "adxBackstageView_f90f861cb44a4d8889774f63329eff2f";
            this.adxBackstageView1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTab1
            // 
            this.adxBackstageTab1.Caption = "Secret Research";
            this.adxBackstageTab1.FirstColumn.Add(this.adxBackstageTaskGroup1);
            this.adxBackstageTab1.Id = "adxBackstageTab_bc918198698d4752b396600fe690287d";
            this.adxBackstageTab1.InsertBeforeIdMso = "TabPrint";
            this.adxBackstageTab1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            this.adxBackstageTab1.SecondColumn.Add(this.adxBackstageGroup1);
            // 
            // adxBackstageTaskGroup1
            // 
            this.adxBackstageTaskGroup1.Caption = "My Secret Research";
            this.adxBackstageTaskGroup1.Controls.Add(this.adxBackstageTaskGroupCategory1);
            this.adxBackstageTaskGroup1.Controls.Add(this.adxBackstageTaskGroupCategory2);
            this.adxBackstageTaskGroup1.Id = "adxBackstageTaskGroup_af6118237f2a4df79e3b2ee4906a8b6d";
            this.adxBackstageTaskGroup1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTaskGroupCategory1
            // 
            this.adxBackstageTaskGroupCategory1.Caption = "Secret Recipies";
            this.adxBackstageTaskGroupCategory1.Controls.Add(this.adxBackstageTaskGroupTask1);
            this.adxBackstageTaskGroupCategory1.Id = "adxBackstageTaskGroupCategory_a97f5b8a05d242029268d3217c0b48f5";
            this.adxBackstageTaskGroupCategory1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTaskGroupTask1
            // 
            this.adxBackstageTaskGroupTask1.Caption = "Compile Secret Recipies E-mail";
            this.adxBackstageTaskGroupTask1.Id = "adxBackstageTaskGroupTask_551080c177394e2da33fea2b0671c616";
            this.adxBackstageTaskGroupTask1.Image = 0;
            this.adxBackstageTaskGroupTask1.ImageList = this.imlIcons;
            this.adxBackstageTaskGroupTask1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageTaskGroupTask1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTaskGroupCategory2
            // 
            this.adxBackstageTaskGroupCategory2.Caption = "Secret Formulas";
            this.adxBackstageTaskGroupCategory2.Controls.Add(this.adxBackstageTaskGroupTask2);
            this.adxBackstageTaskGroupCategory2.Id = "adxBackstageTaskGroupCategory_8297c2ce3b2c4386b897566811959f07";
            this.adxBackstageTaskGroupCategory2.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTaskGroupTask2
            // 
            this.adxBackstageTaskGroupTask2.Caption = "Compile Secret Formulas E-mail";
            this.adxBackstageTaskGroupTask2.Id = "adxBackstageTaskGroupTask_edbf006c53354afe9be785fa0e61647c";
            this.adxBackstageTaskGroupTask2.Image = 1;
            this.adxBackstageTaskGroupTask2.ImageList = this.imlIcons;
            this.adxBackstageTaskGroupTask2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageTaskGroupTask2.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageGroup1
            // 
            this.adxBackstageGroup1.BottomItems.Add(this.adxBackstageGroupButton1);
            this.adxBackstageGroup1.Caption = "Secret Research Option";
            this.adxBackstageGroup1.Id = "adxBackstageGroup_d43d1b817be04a03b1edc204bc98c1ec";
            this.adxBackstageGroup1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            this.adxBackstageGroup1.TopItems.Add(this.adxBackstageCheckBox1);
            this.adxBackstageGroup1.TopItems.Add(this.adxBackstageCheckBox2);
            // 
            // adxBackstageGroupButton1
            // 
            this.adxBackstageGroupButton1.Caption = "Delete All Research";
            this.adxBackstageGroupButton1.Id = "adxBackstageGroupButton_4d15e9a2e11341aeae0f35790cabe43d";
            this.adxBackstageGroupButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageGroupButton1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            this.adxBackstageGroupButton1.Style = AddinExpress.MSO.ADXBackstageGroupButtonStyle.Large;
            // 
            // adxBackstageCheckBox1
            // 
            this.adxBackstageCheckBox1.Caption = "Compile formulas daily";
            this.adxBackstageCheckBox1.Id = "adxBackstageCheckBox_1e45f95eba53456ebf38b3adbf6451b4";
            this.adxBackstageCheckBox1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageCheckBox2
            // 
            this.adxBackstageCheckBox2.Caption = "Update recipies from internet";
            this.adxBackstageCheckBox2.Id = "adxBackstageCheckBox_98938f7ea9564b76bef16a1c91b8c320";
            this.adxBackstageCheckBox2.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTab2
            // 
            this.adxBackstageTab2.Caption = "Help";
            this.adxBackstageTab2.FirstColumn.Add(this.adxBackstageTaskGroup2);
            this.adxBackstageTab2.Id = "adxBackstageTab_caece22f00e7431f82a4a02439f2e343";
            this.adxBackstageTab2.IdMso = "TabHelp";
            this.adxBackstageTab2.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTaskGroup2
            // 
            this.adxBackstageTaskGroup2.Caption = "Secret Research";
            this.adxBackstageTaskGroup2.Controls.Add(this.adxBackstageTaskGroupCategory3);
            this.adxBackstageTaskGroup2.Id = "adxBackstageTaskGroup_39ad16dfe2824ab5ba81c1e42f2a5e35";
            this.adxBackstageTaskGroup2.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTaskGroupCategory3
            // 
            this.adxBackstageTaskGroupCategory3.Caption = "Getting Help";
            this.adxBackstageTaskGroupCategory3.Controls.Add(this.adxBackstageTaskGroupTask3);
            this.adxBackstageTaskGroupCategory3.Id = "adxBackstageTaskGroupCategory_ec8869b7a77842f8a2943aa9f93f5b2c";
            this.adxBackstageTaskGroupCategory3.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxBackstageTaskGroupTask3
            // 
            this.adxBackstageTaskGroupTask3.Caption = "Call for help from minions...";
            this.adxBackstageTaskGroupTask3.Id = "adxBackstageTaskGroupTask_9d96505cd8d841dea714b7e8be5764a6";
            this.adxBackstageTaskGroupTask3.Image = 0;
            this.adxBackstageTaskGroupTask3.ImageList = this.imlIcons3232;
            this.adxBackstageTaskGroupTask3.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxBackstageTaskGroupTask3.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // imlIcons3232
            // 
            this.imlIcons3232.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imlIcons3232.ImageStream")));
            this.imlIcons3232.TransparentColor = System.Drawing.Color.Transparent;
            this.imlIcons3232.Images.SetKeyName(0, "sound.ico");
            // 
            // AddinModule
            // 
            this.AddinName = "OfficControlIds2007";
            this.SupportedApps = ((AddinExpress.MSO.ADXOfficeHostApp)(((AddinExpress.MSO.ADXOfficeHostApp.ohaExcel | AddinExpress.MSO.ADXOfficeHostApp.ohaWord)
                        | AddinExpress.MSO.ADXOfficeHostApp.ohaOutlook)));

        }
        #endregion
 
        #region Add-in Express automatic code
 
        // Required by Add-in Express - do not modify
        // the methods within this region
 
        public override System.ComponentModel.IContainer GetContainer()
        {
            if (components == null)
                components = new System.ComponentModel.Container();
            return components;
        }
 
        [ComRegisterFunctionAttribute]
        public static void AddinRegister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        public static void AddinUnregister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXUnregister(t);
        }
 
        public override void UninstallControls()
        {
            base.UninstallControls();
        }

        #endregion

        public Word._Application WordApp
        {
            get
            {
                return (HostApplication as Word._Application);
            }
        }
        public Outlook._Application OutlookApp
        {
            get
            {
                return (HostApplication as Outlook._Application);
            }
        }
    }
}

